spring.datasource.url=${DATASOURCE_URL}
spring.datasource.username=${DATASOURCE_USERNAME}
spring.datasource.password=${DATASOURCE_PASSWORD}
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.jpa.hibernate.ddl-auto=none
spring.liquibase.change-log=classpath:db/liquibase-changelog.xml
spring.liquibase.parameters.admin.username=${ADMIN_USERNAME}
spring.liquibase.parameters.admin.password=${ADMIN_PASSWORD}

spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5InnoDBDialect

logging.path=/var/logs
logging.level.root=INFO
logging.level.academy.softserve.eschool=INFO

jwt.token.header=Authorization
jwt.token.prefix=Bearer 
jwt.secret=${random.value}
jwt.expiration=${JWT_EXPIRATION:3600}
jwt.globalExpiration=86400

security.password.encodingKey=${PASSWORD_ENCODING_KEY}

spring.jpa.show-sql=false

server.ssl.enabled=true
server.port=8443
server.ssl.key-store=/var/keystore.p12
server.ssl.key-store-password=mysecret
server.ssl.key-store-type=PKCS12
server.ssl.key-alias=tomcat

spring.mail.host=${MAIL_HOST:smtp.gmail.com}
spring.mail.port=${MAIL_PORT:587}
spring.mail.username=${MAIL_LOGIN}
spring.mail.password=${MAIL_PASSWORD}
spring.mail.properties.mail.smtp.auth=true
spring.mail.properties.mail.smtp.starttls.enable=true

academy.softserve.eschool.host = ${ESCHOOL_APP_HOST}
